| dp12txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Macros | Functions
xdptxss_dptx.h File Reference

## Overview

This is the header file for Xilinx DisplayPort Transmitter Subsystem sub-core, is DisplayPort in TX mode of operation.

    MODIFICATION HISTORY:

    Ver  Who Date     Changes

    1.00 sha 01/29/15 Initial release.
    1.00 sha 07/21/15 Renamed file name with prefix xdptxss_*, function
                      names with prefix XDpTxSs_* and macros with prefix
                      XDPTXSS_*

## Macros
#define | XDPTXSS_DPTX_H_
| Prevent circular inclusions by using protection macros. More...
#define | XDPTXSS_DPTX_MST 1
| Multi-Stream Transport. More...
#define | XDPTXSS_DPTX_SST 0
| Single Stream Transport. More...

## Functions
u32 | XDpTxSs_DpTxStart (XDp *InstancePtr, u8 TransportMode, u8 Bpc, XVidC_VideoMode VidMode)
| This function configures DisplayPort sub-core with preferred resolution read from sink or user set resolution, bits per color in SST/MST mode. More...
u32 | XDpTxSs_DpTxStartLink (XDp *InstancePtr, u8 TrainMaxCap)
| This function checks if the link needs training and runs the training sequence if training is required based on the flags, indicates to use maximum RX capabilities or user specified link rate, lane count during training. More...

## Macro Definition Documentation

#define XDPTXSS_DPTX_H_

Prevent circular inclusions by using protection macros.

#define XDPTXSS_DPTX_MST 1

Multi-Stream Transport.

Referenced by XDpTxSs_DpTxStart().

#define XDPTXSS_DPTX_SST 0

Single Stream Transport.

Referenced by XDpTxSs_DpTxStart().

## Function Documentation

u32 XDpTxSs_DpTxStart | ( | XDp * | InstancePtr,
|  | u8 | TransportMode,
|  | u8 | Bpc,
|  | XVidC_VideoMode | VidMode
| ) |  |

This function configures DisplayPort sub-core with preferred resolution read from sink or user set resolution, bits per color in SST/MST mode.

In MST mode, if sinks are more than two, it re-orders the sinks if belongs to same tiled display topology. It trains the link and allocates stream payloads for single stream (SST) or multi-stream transport mode (MST). In MST mode, discovers the topology and finds the actual number of sinks to which associates streams.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  TransportMode | specifies whether multiple/single steam to be sent over the main link. TransportMode = 1 (for Multi-Stream Transport) TransportMode = 0 (for Single Stream Transport)
  Bpc | is the new number of bits per color to use.
  VidMode | is one of the enumerated standard video modes defined in xvidc.h file.

Returns
  - XST_SUCCESS DisplayPort configured successfully.
  - XST_FAILURE if DisplayPort configuration failed.

Note
  None.

< The payload bandwidth number (PBN) associated with the sink connected to this port.

< The available PBN of the sink connected to this port.

References XDPTXSS_DPTX_MST, XDPTXSS_DPTX_SST, and XDpTxSs_DpTxStartLink().

Referenced by XDpTxSs_Start(), and XDpTxSs_StartCustomMsa().

u32 XDpTxSs_DpTxStartLink | ( | XDp * | InstancePtr,
|  | u8 | TrainMaxCap
| ) |  |

This function checks if the link needs training and runs the training sequence if training is required based on the flags, indicates to use maximum RX capabilities or user specified link rate, lane count during training.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  TrainMaxCap | is a flag indicates whether maximum capabilities to be used during link training. TRUE - Use maximum RX capabilities. FALSE - Use custom capabilities.

Returns
  - XST_SUCCESS the if main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

Referenced by XDpTxSs_DpTxStart().